﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace SliderTest
{
   public class TickTemplateSelector : DataTemplateSelector 
    { 
        public DataTemplate EnabledTickTemplate { get; set; } 
        public DataTemplate DisabledTickTemplate { get; set; } 
  
        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container) 
        { 
            int month = System.Convert.ToInt16(item); 
            if(month <= 4) 
            { 
                return this.EnabledTickTemplate; 
            } 
            else
            { 
                return this.DisabledTickTemplate; 
            } 
        } 
    } 

}
